PACHI(6)

NAME
Pachi - Platform game featuring Pachi el marciano

SYNOPSIS
pachi

DESCRIPTION
Pachi came from Mars and crashlanded in our planet because of an accident with his U.F.O.

AUTHORS
Santiago Radeff <T-1000@Bigfoot.com>,
Nicolas Radeff <achala@softhome.net>,
Peter Hajba <www.futurecrew.com/skaven>